%define upstream_name    Class-ISA
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Report the search path thru an ISA tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(if)
BuildArch: noarch


%description
Suppose you have a class (like Food::Fish::Fishstick) that is derived, via
its @ISA, from one or more superclasses (as Food::Fish::Fishstick is from
Food::Fish, Life::Fungus, and Chemicals), and some of those superclasses
may themselves each be derived, via its @ISA, from one or more superclasses
(as above).

When, then, you call a method in that class ($fishstick->calories), Perl
first searches there for that method, but if it's not there, it goes
searching in its superclasses, and so on, in a depth-first (or maybe
"height-first" is the word) search. In the above example, it'd first look
in Food::Fish, then Food, then Matter, then Life::Fungus, then Life, then
Chemicals.

This library, Class::ISA, provides functions that return that list -- the
list (in order) of names of classes Perl would search to find a method,
with no duplicates.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc README ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-11.mga8
+ Revision: 1493542
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.360.0-10.mga7
+ Revision: 1266324
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.360.0-9.mga6
+ Revision: 1023974
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.360.0-8.mga6
+ Revision: 944594
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.360.0-7.mga5
+ Revision: 740877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.360.0-6.mga5
+ Revision: 683918
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.360.0-5.mga4
+ Revision: 510159
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-4.mga3
+ Revision: 364387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 jquelin <jquelin> 0.360.0-3.mga1
+ Revision: 55481
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.360.0-2.mga1
+ Revision: 22149
- cleaning spec file
- imported package perl-Class-ISA

